wayidle(1)

# NAME

wayidle - wait for wayland idle timeout

# SYNOPSIS

*wayidle* wayidle [-s|--seat=SEAT_NAME] -t|--timeout=SECONDS [COMMAND [ARGS...]]

# OPTIONS

*-s, --seat=SEAT_NAME*
	Wait for idle timeout on a given seat. If unspecified, the first seat is
	used.

*-t --timeout=SECONDS*
	Wait for a timeout of SECONDS seconds.

*-h --help*
	Print usage information and exit.

# DESCRIPTION

*wayidle* waits until the Wayland compositor reports being SECONDS seconds idle.
The timer starts ticking when wayidle starts, regardless of whether the system
was previously idle or not.

# ENVIRONMENT

_WAYLAND_DISPLAY_
	Connect to the specified wayland socket.

# DEVELOPMENT

For issues and general development inquiries, see the project home currently
hosted at SourceHut:

	https://git.sr.ht/~whynothugo/wayidle

# SEE ALSO

swayidle(1)

# AUTHORS

Developed by Hugo O. Barrera <hugo@whynothugo.nl>.

wayidle is an open source project licensed under the ISC licence and developed
for anyone to use freely. If you would like to sponsor this project, see:

	https://whynothugo.nl/sponsor
